Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.service
Class CardServiceMissingAuthorizationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  opencard.core.OpenCardException
                      opencard.core.service.CardServiceException
                          opencard.core.service.CardServiceImplementationException
                              opencard.opt.service.CardServiceMissingAuthorizationException

All Implemented Interfaces:
  java.io.Serializable

    public class CardServiceMissingAuthorizationException

extends CardServiceImplementationException

Exception indicating that an object cannot be accessed by the service. This exception indicates a problem in the implementation of the card service. The service is responsible for satisfying access conditions. If the service is unable to do so because the application did not provide the required credentials, one of the exceptions `CardServiceMissingCredentialsException` or `CardServiceInvalidCredentialException` is thrown.

Version:
  $Id: CardServiceMissingAuthorizationException.java,v 1.2 1999/11/03 12:37:18 damke Exp $
Author:
  Thomas Schaeck (schaeck@de.ibm.com)
See Also:
  `CardServiceMissingCredentialsException`, Serialized Form

Constructor Summary
`CardServiceMissingAuthorizationException()` Creates a new exception without detail message.
`CardServiceMissingAuthorizationException(java.lang.String msg)` Creates a new exception with the given detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CardServiceMissingAuthorizationException

    public CardServiceMissingAuthorizationException()

  Creates a new exception without detail message.

### CardServiceMissingAuthorizationException

    public CardServiceMissingAuthorizationException(java.lang.String msg)

  Creates a new exception with the given detail message.

  Parameters:
    `msg` - a string indicating why this exception is thrown

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD